MINOVAES - PRODUCT - Feature #2466

ALERT JATUH TEMPO
12/27/2023 04:43 PM - shofwan shiddiq

Status: Closed Start date: 12/27/2023
Priority: Normal Due date:

Assignee: shofwan shiddiq % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Tutorial Deployment Alert Khusus Klien Yang Sewa

1. Buka Table PCMEPGENPARAM, kemudian tambahkan row baru untuk parameter JATUHTEMPO.
StartDate = Masa Berlaku Sewa

EndDate = Waktu habis jatuh tempo

Parameter= 'JATUHTEMPO'

Valuetl="Y"

Valur2 = Isi message jatuh tempo disini

2. Table PCMWFCUSTPARAM
ID = GetJatuhTempo

Value=

DECLARE @Datetime DATETIME = DATEADD)

DECLARE @Date VARCHAR=(SELECT REPLACE, @Datetime, 102), "', "))
select

StartDate

,"'+dbo.fn_formatdatetime(EndDate, 'DD/mm/yyyy') as EndDate
--,@Date as [1bulansetelahskrg]

,Value1 as Sewa

,Value2 as Message

,CASE WHEN EndDate<=@Date then '1' else '0' end as Alert
from PCMEPGENPARAM where Parameter='JATUHTEMPO'

CommandType= sqlstring

3. Di Aplikasi, Ambil File Index ( Dari KJL Prod ) terbaru: Views/Home/Index

History

#1 - 12/28/2023 10:44 AM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

Bintar & Aa,

ini knp di pertalife ada alert jatuh tempo jg ya?

Mereka khan client on premise jd gak ada jatuh tempo aplikasi.

Mereka sebatas periode AM nya saja yg habis dan kl tidak ada renewal kita menjadi freeze support aja namun secara aplikasi tetep bs mereka
pergunakan.

Apa ini ada permintaan khusus untuk di pasangkan alert ini>

Tks

#2 - 01/11/2024 11:29 PM - Muhammad Bintar

- Project changed from PERTALIFE Bugs to MINOVAES - PRODUCT

- Status changed from Assigned to Closed

- Assignee changed from Muhammad Bintar to shofwan shiddiq

okeh pindah ke product buat yang client sewaan cloud
